Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 536)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 537)
@@ -29,32 +29,17 @@
 
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.core.runtime.IProgressMonitor;
-import org.eclipse.core.runtime.IStatus;
-import org.eclipse.core.runtime.Status;
-import org.eclipse.core.runtime.jobs.Job;
-import org.eclipse.jface.window.Window;
-import org.eclipse.osgi.util.NLS;
-import org.eclipse.swt.widgets.Shell;
-import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.chartsengine.core.ChartsEngine;
-import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.r.core.RChartsEngine;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.chartsengine.svgbatik.rcp.SVGSWTChartsComponentsProvider;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.progression.core.functions.Progression;
 import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.progression.core.preferences.ProgressionPreferences;
 import org.txm.progression.rcp.dialogs.ProgressionDialog;
-import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
-import org.txm.rcp.StatusLine;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
-import org.txm.searchengine.cqp.CQPEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.utils.logger.Log;
 
@@ -99,17 +84,24 @@
 				return null;
 			}
 
+			// FIXME: old code with Dialog box parameters
+//			Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+//			ProgressionDialog d = new ProgressionDialog(shell, corpus);
+//			
+//			int code = d.open();
+//			if (code == Window.OK) {
+//				//computeProgression(d);
+//				
+//				progression = new Progression(d.getCorpus(), d.getQueries(), d.getStructuralUnit(), d.getStructuralProperty(), d.getPropertyregex(),
+//						d.isCumulativeType(), d.getLineWidth(), d.isRepeatvalues(), d.getBandeMultiplier());
+//				
+//				
+//				progression = new Progression(d.getCorpus());
+//				
+//			}
 			
-			Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
-			ProgressionDialog d = new ProgressionDialog(shell, corpus);
+			progression = new Progression(corpus);
 			
-			int code = d.open();
-			if (code == Window.OK) {
-				//computeProgression(d);
-				
-				progression = new Progression(d.getCorpus(), d.getQueries(), d.getStructuralUnit(), d.getStructuralProperty(), d.getPropertyregex(),
-						d.isCumulativeType(), d.getLineWidth(), d.isRepeatvalues(), d.getBandeMultiplier());
-			}
 
 		}
 		// Reopens a progression result with default preferences
@@ -118,28 +110,6 @@
 		}
 		
 		
-		openEditor(progression);
-		
-		return null;
-	}
-
-	
-	
-	
-	/**
-	 * 
-	 * @param progression
-	 * @param blackAndWhite
-	 * @param monoStyle
-	 * @param cumulative
-	 * @return
-	 */
-	public static ChartEditorPart openEditor(Progression progression) {
-		
-		
-		
-		ChartEditorPart editor = null;
-		
 		// FIXME: temporary force R/SVG version because the Progression density chart is not yet implemented in JFC mode
 		if(!progression.getBooleanParameterValue(ProgressionPreferences.CHART_CUMULATIVE))	{
 			SVGSWTChartsComponentsProvider tmpSWTComponentsProvider = (SVGSWTChartsComponentsProvider) SWTChartsComponentsProvider.getComponentsProvider(SVGSWTChartsComponentsProvider.class);
@@ -147,20 +117,19 @@
 			tmpSWTComponentsProvider.setChartsEngine(tmpChartsEngine);
 			
 			// Create and open the chart editor
-			editor = tmpSWTComponentsProvider.openEditor(progression);
+			ChartEditorPart.compute(progression, tmpSWTComponentsProvider);
+			
 		}
 		else	{
 			// Create and open the chart editor
-			editor = SWTChartsComponentsProvider.getCurrent().openEditor(progression);
-
+			ChartEditorPart.compute(progression);
 		}
+
 		
-		return editor;
+		return null;
 	}
+
 	
-	
-	
-	
 	/**
 	 * Computes progression and open the result editor.
 	 *
@@ -168,103 +137,103 @@
 	 */
 	@Deprecated
 	public Object computeProgression(final ProgressionDialog dialog) {
-		if (!this.checkCorpusEngine())	{
-			return false;
-		}
-
-		
-
-		
-		JobHandler job = new JobHandler(NLS.bind(ProgressionCoreMessages.ComputeProgression_2, dialog.getQueries(), dialog.getCorpus().getName())) {
-			@Override
-			protected IStatus run(IProgressMonitor monitor) {
-				
-				final Progression progression = new Progression(dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.getPropertyregex(),
-						dialog.isCumulativeType(), dialog.getLineWidth(), dialog.isRepeatvalues(), dialog.getBandeMultiplier());
-				
-				monitor = progression;
-				
-				this.runInit(monitor);
-				JobsTimer.start();
-				try {
-					final Corpus corpus = dialog.getCorpus();
-					if (dialog.getQueries().size() == 0) {
-						Log.severe(ProgressionCoreMessages.ComputeProgression_6);
-						return Status.CANCEL_STATUS;
-					}
-
-					
-
-					
-					// persistence
-					if(dialog.isBlackAndWhite())	{
-						TXMPreferences.putLocal(progression, ChartsEnginePreferences.RENDERING_COLORS_MODE, ChartsEngine.RENDERING_BLACK_AND_WHITE_MODE);	
-					}
-					TXMPreferences.putLocal(progression, ProgressionPreferences.CHART_MONO_STYLE, dialog.isMonoStyle());
-					TXMPreferences.putLocal(progression, ProgressionPreferences.CHART_CUMULATIVE, dialog.isCumulativeType());
-					
-					
-					
-					Log.info(NLS.bind(ProgressionCoreMessages.ComputeProgression_4, 
-							new Object[]{dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.isCumulativeType()}));
-					
-					monitor.worked(50);
-					
-					
-					if (monitor.isCanceled())	{
-						return Status.CANCEL_STATUS;
-					}
-					
-					boolean success = progression.compute(false, monitor);
-
-					
-					
-					
-					
-					// System.out.println("success : "+success);
-					if (success) {
-						syncExec(new Runnable() {
-							@Override
-							public void run() {
-								
-								openEditor(progression);
-									
-								StatusLine.setMessage(ProgressionCoreMessages.ComputeProgression_10);
-								
-							}
-						});
-					}
-					monitor.worked(45);
-
-					monitor.subTask(RCPMessages.RefreshingCorporaView);
-					//CorporaView.storeResult(corpus, progression);
-					
-					monitor.worked(5);
-					System.out.println(NLS.bind(ProgressionCoreMessages.ComputeProgression_12, progression.getPositionsCounts()));
-				} catch (ThreadDeath td) { 
-					return Status.CANCEL_STATUS;
-				} catch (Exception e) {
-					e.printStackTrace();
-					System.out.println(NLS.bind(ProgressionCoreMessages.ComputeProgression_13, e));
-					Log.severe(ProgressionCoreMessages.ComputeProgression_13 + Log.toString(e));
-					try {
-						System.out.println(RCPMessages.LastCQPError + CQPEngine.getCqiClient().getLastCQPError());
-					} catch (Exception e1) {
-						System.out.println(ProgressionCoreMessages.ComputeProgression_1 + e1);
-						Log.printStackTrace(e1);
-					}
-				} finally {
-					monitor.done();
-					JobsTimer.stopAndPrint();
-				}
-				return Status.OK_STATUS;
-			}
-		};
-		//jobhandler.setCurrentMonitor(progression);
-		//jobhandler.startJob();
-		job.setPriority(Job.DECORATE);
-		job.setUser(true);
-		job.schedule();
+//		if (!this.checkCorpusEngine())	{
+//			return false;
+//		}
+//
+//		
+//
+//		
+//		JobHandler job = new JobHandler(NLS.bind(ProgressionCoreMessages.ComputeProgression_2, dialog.getQueries(), dialog.getCorpus().getName())) {
+//			@Override
+//			protected IStatus run(IProgressMonitor monitor) {
+//				
+//				final Progression progression = new Progression(dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.getPropertyregex(),
+//						dialog.isCumulativeType(), dialog.getLineWidth(), dialog.isRepeatvalues(), dialog.getBandeMultiplier());
+//				
+//				monitor = progression;
+//				
+//				this.runInit(monitor);
+//				JobsTimer.start();
+//				try {
+//					final Corpus corpus = dialog.getCorpus();
+//					if (dialog.getQueries().size() == 0) {
+//						Log.severe(ProgressionCoreMessages.ComputeProgression_6);
+//						return Status.CANCEL_STATUS;
+//					}
+//
+//					
+//
+//					
+//					// persistence
+//					if(dialog.isBlackAndWhite())	{
+//						TXMPreferences.putLocal(progression, ChartsEnginePreferences.RENDERING_COLORS_MODE, ChartsEngine.RENDERING_BLACK_AND_WHITE_MODE);	
+//					}
+//					TXMPreferences.putLocal(progression, ProgressionPreferences.CHART_MONO_STYLE, dialog.isMonoStyle());
+//					TXMPreferences.putLocal(progression, ProgressionPreferences.CHART_CUMULATIVE, dialog.isCumulativeType());
+//					
+//					
+//					
+//					Log.info(NLS.bind(ProgressionCoreMessages.ComputeProgression_4, 
+//							new Object[]{dialog.getCorpus(), dialog.getQueries(), dialog.getStructuralUnit(), dialog.getStructuralProperty(), dialog.isCumulativeType()}));
+//					
+//					monitor.worked(50);
+//					
+//					
+//					if (monitor.isCanceled())	{
+//						return Status.CANCEL_STATUS;
+//					}
+//					
+//					boolean success = progression.compute(false, monitor);
+//
+//					
+//					
+//					
+//					
+//					// System.out.println("success : "+success);
+//					if (success) {
+//						syncExec(new Runnable() {
+//							@Override
+//							public void run() {
+//								
+//								openEditor(progression);
+//									
+//								StatusLine.setMessage(ProgressionCoreMessages.ComputeProgression_10);
+//								
+//							}
+//						});
+//					}
+//					monitor.worked(45);
+//
+//					monitor.subTask(RCPMessages.RefreshingCorporaView);
+//					//CorporaView.storeResult(corpus, progression);
+//					
+//					monitor.worked(5);
+//					System.out.println(NLS.bind(ProgressionCoreMessages.ComputeProgression_12, progression.getPositionsCounts()));
+//				} catch (ThreadDeath td) { 
+//					return Status.CANCEL_STATUS;
+//				} catch (Exception e) {
+//					e.printStackTrace();
+//					System.out.println(NLS.bind(ProgressionCoreMessages.ComputeProgression_13, e));
+//					Log.severe(ProgressionCoreMessages.ComputeProgression_13 + Log.toString(e));
+//					try {
+//						System.out.println(RCPMessages.LastCQPError + CQPEngine.getCqiClient().getLastCQPError());
+//					} catch (Exception e1) {
+//						System.out.println(ProgressionCoreMessages.ComputeProgression_1 + e1);
+//						Log.printStackTrace(e1);
+//					}
+//				} finally {
+//					monitor.done();
+//					JobsTimer.stopAndPrint();
+//				}
+//				return Status.OK_STATUS;
+//			}
+//		};
+//		//jobhandler.setCurrentMonitor(progression);
+//		//jobhandler.startJob();
+//		job.setPriority(Job.DECORATE);
+//		job.setUser(true);
+//		job.schedule();
 		return null;
 	}
 }
Index: tmp/org.txm.ca.rcp/.classpath
===================================================================
--- tmp/org.txm.ca.rcp/.classpath	(revision 536)
+++ tmp/org.txm.ca.rcp/.classpath	(revision 537)
@@ -1,11 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
-	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		<accessrules>
-			<accessrule kind="accessible" pattern="*"/>
-		</accessrules>
-	</classpathentry>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
 	<classpathentry kind="src" path="src"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 536)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAEditor.java	(revision 537)
@@ -326,7 +326,7 @@
 
 		// FIXME: need to create ChartResult for CASingularValues + some ChartCreators 
 		// Editor part
-		EditorPart caSingularValuesEditorPart = new ChartEditorPart(SWTChartsComponentsProvider.getCurrent().createChartEditorInput(ca)); //$NON-NLS-1$ 
+		EditorPart caSingularValuesEditorPart = new ChartEditorPart(SWTChartsComponentsProvider.getCurrent().createChartEditorInput(ca, "Singular Values")); //$NON-NLS-1$ 
 		editors.add(caSingularValuesEditorPart);
 
 		// Editor input
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 536)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 537)
@@ -288,7 +288,7 @@
 
 
 		}
-		if(renderer.getItemsSelector() != null)	{
+		if(renderer != null && renderer.getItemsSelector() != null)	{
 			renderer.getItemsSelector().setMouseOverItem(series, item);
 		}
 
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java	(revision 536)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCSWTChartsComponentsProvider.java	(revision 537)
@@ -61,13 +61,12 @@
 	@Override
 	public boolean createChartContainer(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput)	{
 
-		JFreeChart chart = (JFreeChart) chartEditorInput.getChart();
-			
-//		if(chart != null)	{
+		if(!chartEditorInput.getResult().isChartDirty())	{
 
+			JFreeChart chart = (JFreeChart) chartEditorInput.getChart();
+
 			ChartPanel chartPanel = ((JFCChartsEngine) chartsEngine).getJFCTheme().createChartPanel(this, chart);
 			
-			
 			chartEditorInput.setChartContainer(chartPanel);
 			
 
@@ -86,9 +85,9 @@
 			chartEditorInput.syncLocalPreferencesNode();
 			
 			return true;
-	//	}
+		}
 		
-		//return false;
+		return false;
 	}
 	
 	
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java	(revision 536)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/swt/JFCComposite.java	(revision 537)
@@ -4,25 +4,22 @@
 import java.awt.Component;
 import java.awt.EventQueue;
 import java.awt.Frame;
-import java.awt.Insets;
-import java.awt.Panel;
-import java.awt.Toolkit;
-import java.awt.datatransfer.Clipboard;
+import java.io.File;
 import java.util.EventListener;
 
+import javax.swing.JPanel;
+
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.awt.SWT_AWT;
 import org.eclipse.swt.widgets.Composite;
 import org.jfree.chart.ChartMouseListener;
 import org.jfree.chart.ChartPanel;
-import org.jfree.chart.ChartTransferable;
 import org.jfree.chart.JFreeChart;
 import org.jfree.chart.plot.CategoryPlot;
 import org.jfree.chart.plot.XYPlot;
-import org.txm.ca.core.chartsengine.jfreechart.themes.highcharts.renderers.FCAItemSelectionRenderer;
+import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
-import org.txm.chartsengine.jfreechart.rcp.themes.base.swing.ItemSelectionJFCChartPanel;
 import org.txm.chartsengine.rcp.IChartComponent;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.chartsengine.rcp.events.EventCallBackHandler;
@@ -49,7 +46,10 @@
 
 	protected Frame frame;
 	
-	protected Panel rootPanel;
+	//FIXME: tests
+	//protected Panel rootPanel;
+	//protected JRootPane rootPanel;
+	protected JPanel rootPanel;
 	
 
 	/**
@@ -58,21 +58,35 @@
 	 * @param panel
 	 */
 	public JFCComposite(ChartEditorPart chartEditor, Composite parent) {
-		super(chartEditor, parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
+		//super(chartEditor, parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
+		super(chartEditor, parent, SWT.EMBEDDED);
 		//super(parent, SWT.EMBEDDED | SWT.NO_MERGE_PAINTS | SWT.NO_BACKGROUND); // do not fix the transparency problem
 
 		//this.chartComponent = (IChartComponent) panel;
-
 		// FIXME : transparency doesn't work with tool tips
 		// The problem here is that we normally need a JFrame but it seems to be impossible to embed a JFrame
 //		this.setBackgroundMode(SWT.INHERIT_FORCE); // do not fix
-//		panel.setOpaque(false); // do not fix
 //		ToolTipManager.sharedInstance().setLightWeightPopupEnabled(true); // do not fix
 
 		this.frame = SWT_AWT.new_Frame(this);
+		// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
+		//this.rootPanel = new Panel(new BorderLayout());
+		//this.rootPanel = new JRootPane();
+		this.rootPanel = new JPanel(new BorderLayout());
+		
+		
+		
+		this.frame.add(this.rootPanel);
 
 
-
+		
+		this.frame.setVisible(true);
+//		this.frame.pack();
+//		this.pack(true);
+//		parent.pack();
+//		this.layout(true);
+//		parent.layout(true);
+		
 		// To fix MAC OS X + Java 1.7/1.8 SWT_AWT BUG
 		// see: https://bugs.eclipse.org/bugs/show_bug.cgi?id=418245#c12
 //		SwingUtilities.invokeLater(new Runnable() {
@@ -253,6 +267,9 @@
 	public void loadChart(Object data) {
 		this.getChartPanel().setChart((JFreeChart) data);
 
+		// FIXME: for updating chart. The problem here is the theme is applied twice? one time at the creation and onn time at the update?
+		((JFCChartsEngine) this.chartEditor.getChartsEngine()).getJFCTheme().applyThemeToChart((JFreeChart) data, this.chartEditor.getResultData());
+		
 		// FIXME: tests, restore the zoom from local node
 		//this.zoom(x, y, zoomIn);
 		// FIXME: tests, restoring current zoom from result node
@@ -267,23 +284,31 @@
 
 	@Override
 	public void loadChart()	{
-		
-		// creates components if they not exist
-		if(this.chartComponent == null)	{
-			this.chartComponent = (IChartComponent) this.chartEditor.getEditorInput().getChartContainer();
+		if(!this.chartEditor.getResultData().isChartDirty())	{
+			// creates components if they not exist
+			if(this.chartComponent == null)	{
+				
+				this.chartEditor.getSWTChartsComponentsProvider().createChartContainer(this.chartEditor.getEditorInput());
+				this.chartComponent = (IChartComponent) this.chartEditor.getEditorInput().getChartContainer();
+				
+				this.rootPanel.add((Component) this.chartComponent);
+
+				this.frame.setVisible(true);
+			}
+
+			// loads the chart from the result
+			Object chart = this.chartEditor.getChart();
+			// recreates the chart if not of right type
+			// FIXME: does not work? step to reproduce : create a chart with R/SVG, close the editor, select JFC/Java2d as chart engine, double click on the result 
+			if(!(chart instanceof JFreeChart))	{
+				this.loadChart(this.chartEditor.getSWTChartsComponentsProvider().getChartsEngine().getChartCreator(this.chartEditor.getResultData()).createChart(this.chartEditor.getResultData()));
+			}
+			else	{
+				this.loadChart(this.chartEditor.getChart());
+			}
 			
-			// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
-			this.rootPanel = new Panel(new BorderLayout());
-			
-			this.rootPanel.add((Component) this.chartComponent);
-			this.frame.add(this.rootPanel);
-			this.frame.setVisible(true);
+			this.forceFocus();
 		}
-		
-		// loads the chart from the result
-		this.loadChart(this.chartEditor.getChart());
-		
-		this.forceFocus();
 	}
 
 	
Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/AHCChartEditor.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/AHCChartEditor.java	(revision 536)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/editors/AHCChartEditor.java	(revision 537)
@@ -7,7 +7,6 @@
 import org.eclipse.swt.custom.CLabel;
 import org.eclipse.swt.events.SelectionEvent;
 import org.eclipse.swt.events.SelectionListener;
-import org.eclipse.swt.graphics.Image;
 import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Spinner;
@@ -17,9 +16,7 @@
 import org.txm.cah.core.preferences.AHCPreferences;
 import org.txm.cah.rcp.messages.AHCUIMessages;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
-import org.txm.chartsengine.rcp.messages.SWTComponentsProviderMessages;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.TXMResult;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.JobsTimer;
 import org.txm.rcp.utils.JobHandler;
Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeAHC.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeAHC.java	(revision 536)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeAHC.java	(revision 537)
@@ -148,14 +148,8 @@
 			} 
 		}
 
-		ChartEditorPart editor = ChartEditorPart.openEditor(ahc);
+		ChartEditorPart.compute(ahc);
 
-		// FIXME: obsolete? 
-		// computes if not reopening a result
-//		if(!(selection instanceof AHC))	{
-//			editor.computeResult();
-//		}
-		
 
 		return null;
 	}
Index: tmp/org.txm.cah.core/src/org/txm/cah/core/functions/AHC.java
===================================================================
--- tmp/org.txm.cah.core/src/org/txm/cah/core/functions/AHC.java	(revision 536)
+++ tmp/org.txm.cah.core/src/org/txm/cah/core/functions/AHC.java	(revision 537)
@@ -124,6 +124,7 @@
 		this.target = ca.getSymbol();
 	}
 
+	
 	public void setParameters(Boolean columns, String metric, Integer nCluster, String method) {
 		if (columns != null) this.pColumns = columns;
 		if (metric != null) this.pMetric = metric;
@@ -134,8 +135,6 @@
 
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
-		this.parameters = parameters;
-		
 		try {
 			Boolean columns = this.getBooleanParameterValue(AHCPreferences.COLUMNS_COMPUTING);
 			String metric = this.getStringParameterValue(AHCPreferences.METRIC);
@@ -149,6 +148,25 @@
 		return true;
 	}
 
+//	@Override
+//	public void loadParameters() {
+//		this.setParameters(
+//				this.getBooleanParameterValue(AHCPreferences.COLUMNS_COMPUTING),
+//				this.getStringParameterValue(AHCPreferences.METRIC),
+//				this.getIntParameterValue(AHCPreferences.N_CLUSTERS),
+//				this.getStringParameterValue(AHCPreferences.METHOD)
+//				);
+//	}
+
+	
+	@Override
+	public boolean canCompute() {
+		return ca != null 
+				&& Arrays.binarySearch(AHC.getMethods(), pMethod) >= 0 
+				&& Arrays.binarySearch(AHC.getMetrics(), pMetric) >= 0
+				&& pNCluster >= 2;
+	}
+	
 	/**
 	 * Resets the cached data so the next getter calls will request the values from R.
 	 */
@@ -592,12 +610,6 @@
 		return this.getName();
 	}
 
-	@Override
-	public boolean canCompute() {
 
-		return ca != null 
-				&& Arrays.binarySearch(AHC.getMethods(), pMethod) >= 0 
-				&& Arrays.binarySearch(AHC.getMetrics(), pMetric) >= 0
-				&& pNCluster >= 2;
-	}
+
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 536)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 537)
@@ -64,6 +64,7 @@
 import org.eclipse.ui.internal.Workbench;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
 import org.txm.objects.SavedQuery;
@@ -234,8 +235,12 @@
 				
 				StatusLine.setMessage(mess);
 				// FIXME: Debug:
+				// FIXME: à repasser dans TXMResult.toString();
 				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): ********************************************************************************");
 				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): selected object = " + selectedItem);
+				if (selectedItem instanceof ChartResult) 	{
+					System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): chart object = " + ((ChartResult)selectedItem).getChart());
+				}
 				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): selection full path name = " + ((TXMResult)selectedItem).getFullPathSimpleName() + " - " + ((TXMResult)selectedItem).getName());
 				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): direct children count = " + ((TXMResult)selectedItem).getResults().size());
 				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): direct visible children count = " + ((TXMResult)selectedItem).getResults(true).size());
@@ -301,6 +306,12 @@
 							@Override
 							protected IStatus run(IProgressMonitor monitor) {
 								DeleteObject.delete(sel);
+								this.syncExec(new Runnable() {
+									@Override
+									public void run() {
+										refresh();
+									}
+								});
 								return Status.OK_STATUS;
 							}
 						};
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/base/DeleteObject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/base/DeleteObject.java	(revision 536)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/base/DeleteObject.java	(revision 537)
@@ -185,7 +185,7 @@
 				@Override
 				public void run() {
 					try {
-						RestartTXM.reloadViews();
+//						RestartTXM.reloadViews();
 						
 						//close corresponding editors
 						for(Object obj : allObjectDeleted) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 536)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 537)
@@ -80,7 +80,17 @@
 		editorPart.parent.layout(true);
 	}
 	
+
 	/**
+	 * Shows/hides the command parameters group.
+	 * @param visible
+	 */
+	public void setComputingParametersVisible(boolean visible)	{
+		this.getItems()[0].setSelection(visible);
+		this.setVisible(((Group) this.editorPart.getParametersGroupsComposite().getChildren()[0]), visible);
+	}
+	
+	/**
 	 * Creates a <code>Group</code> with some configuration to make it visible/invisible and a <code>ToolItem</code> attached to the specified tool bar to show/hide this group.
 	 * 
 	 * @param composite
@@ -93,11 +103,11 @@
 	 */
 	public Group installGroup(String groupTitle, String buttonToolTip, String iconFilePath, boolean showGroup)	{
 
-		if (groups.containsKey(groupTitle)) {
-			return groups.get(groupTitle);
+		if (this.groups.containsKey(groupTitle)) {
+			return this.groups.get(groupTitle);
 		}
 		
-		final Group group = new Group(editorPart.getParametersGroupsComposite(), SWT.NONE);
+		final Group group = new Group(this.editorPart.getParametersGroupsComposite(), SWT.NONE);
 		group.setText(groupTitle);
 		
 		RowLayout layout = new RowLayout();
@@ -143,7 +153,7 @@
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
 		
-		groups.put(groupTitle, group);
+		this.groups.put(groupTitle, group);
 		return group;
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 536)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 537)
@@ -13,6 +13,7 @@
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
@@ -368,9 +369,11 @@
 	protected abstract void initializeFields();
 	
 	/**
-	 * Synchronizes the editor with the result and refreshes the corpus view. 
+	 * Synchronizes the editor with the result and refreshes the corpus view.
+	 * Also fires a dirty property change.
 	 */
 	public void refresh()	{
+		this.firePropertyChange(IEditorPart.PROP_DIRTY);
 		this.synchronize();
 		CorporaView.refreshObject(this);
 	}
@@ -408,7 +411,7 @@
 	 */
 	public void close(final boolean deleteResult)	{
 		final EditorPart self = this;
-		getSite().getShell().getDisplay().syncExec(new Runnable() {
+		this.getSite().getShell().getDisplay().syncExec(new Runnable() {
 			@Override
 			public void run() {
 				getSite().getPage().closeEditor(self, false);
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 536)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 537)
@@ -97,7 +97,7 @@
 				TXMPreferences.putLocalFloat(getResultData(), WordCloudPreferences.ROT, rotPerSpinner.getSelection());
 				TXMPreferences.putLocalBoolean(getResultData(), WordCloudPreferences.RANDOM_POSITION, randomOrderButton.getSelection());
 
-				computeChart("Compute Wordcloud", true, true);
+				computeChart(true, true, true);
 			}
 
 
@@ -110,7 +110,7 @@
 		p.pack();
 
 		this.computeResult();
-		this.computeChart("Compute Wordcloud", false);
+		this.computeChart(false);
 
 		Log.info(WordCloudUIMessages.Log_WordCloud_ready + this.getResultData());
 
Index: tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 536)
+++ tmp/org.txm.partition.rcp/META-INF/MANIFEST.MF	(revision 537)
@@ -3,7 +3,8 @@
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.txm.partition.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+Require-Bundle: org.txm.chartsengine.core,
+ org.txm.utils;bundle-version="1.0.0",
  org.eclipse.osgi;bundle-version="3.10.2",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.eclipse.ui,
@@ -12,7 +13,6 @@
  org.txm.chartsengine.rcp,
  org.txm.partition.core,
  org.txm.rcp;bundle-version="0.7.8",
- org.txm.chartsengine.core,
  org.eclipse.core.expressions;bundle-version="3.4.600"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
